DCSMPTE(1)

NAME
dcsmpte - ACR/NEMA DICOM PS3 ... Create DICOM SMPTE pattern

SYNOPSIS

dcsmpte [ -columns|-cols|-x columns ] [ -rows|-y rows ] [ -bits|-depth|-d bits ] [ -minval i ] [ -maxval i ] [ -signed ] [ -inverted|-invert|-monochrome1 ]

DESCRIPTION

dcsmpte writes a grayscale MONOCHROME2 or MONOCHROME1 SMPTE RP 133-1991 pattern as a DICOM Secondary Capture Image Storage SOP Class instance stored in a DICOM file.

A detailed description of the history and features of the SMPTE pattern can be found in Gray JE, Lisk KG, Haddick DH, Harshbarger JH, Oosterhof A, Schwenker R. Test pattern for video displays and hard-copy cameras. Radiology. 1985 Feb 1;154(2):519–27. doi:10.1148/radiology.154.2.3966138 http://dx.doi.org/10.1148/radiology.154.2.3966138

During the creation, specific attributes may be deleted, added or replaced, class and instance unique identifiers generated or removed, group lengths added, or private attributes removed, as specified by the replacement options described in dcintro(1). This allows the specification of additional DICOM attributes, such as the patient's name, necessary to make a complete and useful SC instance.

OPTIONS
The verbose output goes to standard error.

The basic switches are described in dcintro(1). Options specific to this program are:

-bits|-depth|-d bits
    Defaults to 8.

-columns|-cols|-x columns
    Defaults to 512.

-rows|-y rows
    Defaults to 512.

-minval i
    Defaults to 0. Specifies the pixel value to store for the 0% gray value in the SMPTE pattern (may be a negative value eg. ' -1024').

-maxval i
    Defaults to (2^bits)-1. Specifies the pixel value to store for the 100% gray value in the SMPTE pattern.

-signed
    Treat the minval and maxval as signed and set the Pixel Representation in the DICOM image to signed.

-inverted|-invert|-monochrome1
    Invert the grayscale range and set the Photometric Interpretation to MONOCHROME1 (zero is white) rather than the default MONOCHROME2 (zero is black). The image should display the same in a DICOM viewer that correctly handles Photometric Interpretation.

ENVIRONMENT

EXAMPLES

# Create an 8 bit pattern from 0 to 100 ...
% dcsmpte -rows 512 -cols 512 -bits 8 -minval 0 -maxval 100 smpte.dc3
# Create an 8 bit pattern from 0 to 255 ...
% dcsmpte -rows 512 -cols 512 -bits 8 -minval 0 -maxval 255 smpte.dc3
# or using the defaults which give the same result ...
% dcsmpte smpte.dc3
# Create a 12 bit pattern from 0 to 4095 ...
% dcsmpte -rows 512 -cols 512 -bits 12 -minval 0 -maxval 4095 smpte.dc3
# Create a signed 12 bit pattern from -1024 to 3071 ...
% dcsmpte -rows 512 -cols 512 -bits 12 -minval ' -1024' -maxval 3071 -signed
# Create a signed 16 bit pattern from -1024 to 3071 ...
% dcsmpte -rows 512 -cols 512 -bits 16 -minval ' -1024' -maxval 3071 -signed

FILES

SEE ALSO
dccp(1), dciodvfy(1), dcbriggs(1), dcintro(1)

AUTHOR
Copyright (c) 1993-2022, David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS
The crosshatch lines are covered by the grayscales squares rather than over the top of them as is usually implemented and implied by the illustrations in SMPTE RP 133-1991. This is a deliberate choice that seems to make it easier to compare adjacent squares to determine whether or not they are distinguishable.